Time Entries context menu/bulk edit shows activities not available for the time entry's project

2016-09-25 09:45 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.3.2   

Resolution: Fixed Affected version:  

Description

It is possible to deselect time entry activities on a project level, this is not taken into account in the time entries context menu.

A user is able to set the activity of a time entry to an activity that has been disabled for the project/issue's project of that time entry.

Associated revisions

Revision 15952 - 2016-11-18 09:19 - Jean-Philippe Lang

Time Entries context menu shows activities not available for the time entry's project (#23922).

Patch by Felix Schäfer.

Revision 15953 - 2016-11-18 09:21 - Jean-Philippe Lang

Bulk edit for shows activities not available for the time entry's project (#23922).

Revision 16043 - 2016-12-03 09:38 - Jean-Philippe Lang

Merged r15952 and r15953 (#23922).

History

#1 - 2016-09-25 09:47 - Felix Schäfer

- File 23922-activities_time_entries_context_menu.patch added

The attached patch limits the activities in the time entry context menu to those available to all selected time entries.

#2 - 2016-09-25 09:48 - Felix Schäfer

The same problem exists in the bulk edit of time entries source:/trunk/app/controllers/timelog_controller.rb@15842#L170

#3 - 2016-10-25 05:45 - Toshi MARUYAMA

- Category set to Time tracking

- Target version set to 3.3.2

#4 - 2016-11-18 09:22 - Jean-Philippe Lang

- Subject changed from Time Entries context menu shows activities not available for the time entry's project to Time Entries context menu/bulk edit

shows activities not available for the time entry's project

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch applied, thanks. Bulk edit also fixed.

#5 - 2016-11-18 09:29 - Felix Schäfer

Thanks!

#6 - 2016-12-03 09:38 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/15842/entry/trunk/app/controllers/timelog_controller.rb#L170


Files

23922-activities_time_entries_context_menu.patch 1.06 KB 2016-09-25 Felix Schäfer
